Importante

Este post tem recebido dezenas de comentários contendo problemas durante a execução de plugins do Quantum GIS, o que parece ser uma grande contradição, pois eu tenho o QGIS instalado no Notebook, PC, Máquina Virtual instalados via OSGeo4W ou Standalone. Não tenho recebidos essas mensagens de erro desconfortáveis.

Já identifiquei que a maioria esmagadora desses comentários consiste no mesmo problema: a utilização inadequada dos recursos do Windows. Para ajudar ao pessoal, minha sugestão:

– Backup de todos os seus dados para um HD confiável ou grave todas as suas informações em DVD;
– Formatação do computador, que deve ser realizada por alguém experiente;
– Instalação do Windows Seven Ultimate 32 bits ou 64 bits (64 bits para equipamento moderno como Intel Core i3, i5, i7 com + 4GB RAM). Esqueça versões Windows 7 Professional, Basic, Starter Edition, etc.
– Após a instalação, não crie nome de usuário Windows com acentuação. Se o seu nome é José, seu username é jose;
não utilize espaços ou caracteres especiais durante a criação de um usuário Windows (não é necessário);
não utilize nome composto durante a criação de um usuário Windows (dê preferência para o seu primeiro nome).

Sugestão de novo nome de usuário Windows para Jorge Santos: jorge


Está disponível nos repositórios da OSGeo a versão 1.8 do SIG livre Quantum GIS. Usuários Linux, Windows e Mac/OS X podem realizar o download de um cópia do programa na versão compatível com seu sistema operacional.

Visite o site do Quantum GIS

http://www.qgis.org/


Vídeo: Instalação do Quantum GIS 1.8 no Windows

A instalação do Quantum GIS está bem flexível graças às mudanças significativas no repositório OSGeo. Na Instalação Avançada, você só precisa marcar a versão atual do programa (1.8.0-2) e e selecionar alguns complementos. aguardar o término do download. A instalação foi executada no Windows 7 64 Bits com sucesso.

O tutorial de instalação foi criado em vídeo, formato WMV (Windows Media Player). Para executar o vídeo no navegador,  clique aqui para instalar o complemento WMV para o Mozilla Firefox.

Para baixar o vídeo, clique com o botão direito do mouse sobre o link abaixo e selecione a opção Salvar Link Como:

Quantum GIS 1.8: Instalação no Windows

Assista o Vídeo de Instalação no Youtube


Envie suas sugestões e dicas para o Suporte Quantum GIS.

  • Sidney Goveia

    Só lembrar que no site oficial ainda aparece como a versão 1.7.4 – Wroclaw, mas quando se vai ao link para baixar a versão Stand-Alone ele aparece como a versão 1.8.0-1 “Lisboa”.

    http://qgis.org/downloads/QGIS-OSGeo4W-1.8.0-1-Setup.exe

    Sidney Goveia
    http://www.Geosaber.com.br

  • Olá, estou tendo problemas ao instalar plugins no QGIS (principalmente o sextante), sempre aparece um “erro phyton” e posteriormente diz que o arquivo está quebrado. Um amigo não teve problemas. Instalei o QGIS 1.8.0 (Standalone Installer).Já fiz alguns procedimentos como: reinstalação do software, marcação da caixa “mostrar todos complementos, mesmo aqueles marcados como experimentais”

    Qual procedimento devo tomar para corrigir o problema? Obrigado.

  • Arthur Nanni

    Oi Vitor,

    Envia uma mensagem para qgisbrasil@googlegroups.com

  • Vitor, você já tentou a instalação completa via OSGeo4W como é mostrado nesse vídeo?

    Aqui o Sextante está funcionando perfeitamente. Jorge Santos

  • Jorge,

    Instalei via OSGeo4W, mas o problema persiste. Meu windows é 7 de 64 bits, o do meu amigo, onde não houve problemas, é 32 bits. Não sei se pode ser isso.

    Primeiramente aparece o “erro phyton”

    “Impossível carregar complemento ‘sextante’ de [‘C:/OSGeo4W/apps/qgis/./python’, ‘C:/Users/Vítor/.qgis//python’,….”

    e em seguida “impossível carregar complemento”

    “O complemento está quebrado. Phyton disse: No module named sextante”

  • Faça os seguinte, Vitor: Volte ao instalador OSGeo4W e instale o Quantum GIS 1.8.0-3. Novas versões do Python devem ser instaladas. Se não conseguir, poste aqui novamente. Abraços.

  • Jorge,

    Vi essa resposta do Sívori no seguinte link:

    https://groups.google.com/group/qgisbrasil/browse_thread/thread/1cb6452c4e3e0077/27fd41523b57fafe?lnk=gst&q=plugins+QGIS#27fd41523b57fafe

    “Por incrível que possa parecer, tudo está dando errado no teu perfil APENAS por causa do acento no a de F”á”bio.
    Neste caso duas alternativas.
    Ou tu crias uma outra conta no windows com o nome Fabio (sem acento) só para o QGis ou tu mata este perfil e cria outro sem o acento e instala tudo de novo.
    Eu sei que a solução é amarga, mas aconteceu a mesma coisa comigo.
    O acento gráfico é um espinho no pé.
    Falou.”

    Realmente eu imaginei que pudesse ser isso ao analisar o erro. É possível que essa informação proceda?

  • Hum, interessante. O usuário Vítor da sua máquina também possui acentuação?

  • Sim e meu amigo se chama Felipe, logo…..

  • Jorge, existe alguma forma de alterar a pasta de instalação dos complementos? Assim creio que o problema se resolve, pois irei tirar da pasta do usuário com acento gráfico.

  • cardoso

    nao consigo instalar QGIS-OSGeo4W-1.8.0-1-Setup.exe no meu pc
    da seguintes erros:
    running postinstall grass.bat
    running postinstall msvert.bat

  • Arthur Nanni

    Envia uma mensagem para qgisbrasil@googlegroups.com

  • Marcelo Arrais

    Meu windows é 7 de 64 bits em Português, e os perfis ficam dentro da pasta D:/Usuários/nome_do_perfil, porém não consigo instalar nenhum complemento. Apresenta o seguinte erro:

    Impossível carregar complemento ‘sextante’ de [‘C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python’, ‘D:/Usuários/marcelo.arrais/.qgis//python’, ‘D:/Usuários/marcelo.arrais/.qgis//python/plugins’, ‘C:/PROGRA~1/Quantum GIS Lisboa/apps/qgis/./python/plugins’, …

    Alguém possui alguma solução?

  • Deve ser o mesmo erro do meu Marcelo. No meu caso o problema era meu nome do usuário que possuía acento gráfico. O caminho ficava assim:

    C:/Users/Vítor/.qgis//python

    Só consegui resolver criando outra conta sem acentuação.

    C:/Users/Vi­tor/.qgis//python (sem acento).

    Porém no seu caso, me parece que o problema é a palavra “Usuários” onde normalmente temos “Users” (meu caso), pois seu nome de usuário não possui acento (marcelo.arrais).

    Procurei em muitos lugares a resposta, mas a única solução que deu certo para mim foi criar uma nova conta.

    Não sei como criaria uma conta de usuário onde o caminho fosse em inglês (Users), mas penso ser esta a solução para seu problema.

  • Marcelo Arrais

    Tem como instalar os complementos manualmente ou só através do instalador de complementos do Python do Quantum GIS 1.8.0?

  • Não tive resposta a essa pergunta ainda.

  • José Irley

    Pessoal,

    estou tendo o mesmo problema para utilização dos complementos. Sempre ocorre um erro no código Python. O meu Windows é o 7-64bits. Pelo que vi aqui neste debate e também no grupo do qgisbrasil, está ocorrendo com vários usuários neste sistema operacional. Já tentei reinstalar, mudar a variável de ambiente “Path” no Windows, conforme orientação de um usuário no grupo qgisbrasil, tentei ficar com a versão 1.7.4, reinstalei e desinstalei os complementos e o erro continua. Abaixo segue um exemplo de erro:

    Um erro ocorreu enquanto executava o seguinte código Python:

    Traceback (most recent call last):
    File “C:/Users/jose.junior/.qgis/python/pluginsimage_clipperimageclipper.py”, line 77, in dlgImageClipper
    self.source = str(self.source)
    UnicodeEncodeError: ‘ascii’ codec can’t encode character u’xe9′ in position 43: ordinal not in range(128)

    Versão do Python:
    2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

    Versão do QGIS
    1.7.4-Wroclaw Wroclaw, 411aff6

    Caminho para o Python: [‘C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python’, ‘C:/Users/jose.junior/.qgis/python’, ‘C:/Users/jose.junior/.qgis/python/plugins’, ‘C:/PROGRA~2/Quantum GIS Wroclaw/apps/qgis/./python/plugins’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\bin\python27.zip’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\DLLs’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\plat-win’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\lib-tk’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\qgis\bin’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages\PIL’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages\win32’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages\win32\lib’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages\Pythonwin’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\Python27\lib\site-packages\wx-2.8-msw-unicode’, ‘C:\PROGRA~2\Quantum GIS Wroclaw\apps\qgis\python\plugins\fTools\tools’, ‘C:/Users/jose.junior/Documents/EU/Paulo Rogxc3xa9rio’]

    PERGUNTA: O que pode ser feito? Não sei pra onde correr mais.
    Obs.: Isso acontece tanto no computador pessoal quanto do trabalho.

  • José irley, você está tentando usar o Image Clipper para cortar um raster?

    o Quantum GIS faz isso de forma nativa. Somente este plugin está dando pau no Python ou tem outro?

    Minha máquina em casa é 64 Bits, vou testar esse plugin.

    Jorge Santos

  • José Irley

    Jorge,

    este erro esta dando outras ferramentas, como por exemplo quando tento publicar mapas através do QGIS CLOUD.

    Desde já agradeço!

  • Talvez seja o Windows, Talvez seja Quantum GIS. Não há como saber ao certo.

    Recomendo a vocês tentar atualizar sua versão do QGIS. Saiu o 1.8.4 no instalador OSGeo4W.

    Outra dica é tentar a virtualização numa instalação do Windows limpa. Nomes de usuário parecem que dão uma dor-de-cabeça no Python também. Veja os exemplos somente nestes comentários:

    C:/Users/Vítor/.qgis//python
    D:/Usuários/marcelo.arrais/.qgis//python
    C:/Users/jose.junior/.qgis/python/

    Mais acima o Vítor disse que solucionou o problema criando um nome ‘limpo’ de usuário Windows.

    ANTES
    C:/Users/Vítor/.qgis//python

    AGORA
    C:/Users/Vi­tor/.qgis//python

    Cheque essa dica, José Irley. Tente uma instalação nova numa máquina virtual. Sabe fazer isso?

    Abraços

    Jorge Santos

  • José Irley

    Referente aos caracteres, observe que no Windows Português o “D:/Usuários” terá o assento e como no exemplo acima, também houve uma desconfiguração. Como corrigir isso se caso o caractere for o problema?. A 2 dias atrás, alguns erros estavam ocorrendo, mas referente aos complementos, eu estava usando normalmente e agora estou com essa dor de cabeça, tenso. Será que se eu atualizar o Python, o problema pode de uma vez desaparecer? Primeiramente, vou desinstalar a versão que possuo e instalar a nova. Se caso não der certo, vou tentar fazer o esquema da máquina virtual.

    Vlw Jorge pela força e postarei o que aconteceu.

  • Alan Ornelas

    o Qgis ele pode ser instalado em qualquer computador independente da configuração?

  • Marcelo Raiol

    Ola. Segui os passos de instalação pelo video que esta disponível mais o meu problema continua.

    Estou tentando usar o RGB Composition

    Windows 7 64bits, Core i3, Memoria 4GB, HD 500GB
    O diretório está da seguinte forma: C:UsersAdministrador.qgis

    Peço encarecidamente a colaboração pois já estou a bastante tempo tentando resolver e nada.
    Att.

    Um erro ocorreu enquanto executava o seguinte código Python:

    Traceback (most recent call last):
    File “C:/Users/Administrador/.qgis//python/pluginsrgbui_control.py”, line 42, in chooseout
    self.folder=os.path.split(str(file))[0]
    UnicodeEncodeError: ‘ascii’ codec can’t encode character u’xc9′ in position 44: ordinal not in range(128)

    Versão do Python:
    2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

    Versão do QGIS
    1.8.0-Lisboa Lisboa, 3d2bcfc

    Caminho para o Python: [‘C:/OSGeo4W/apps/qgis/./python’, ‘C:/Users/Administrador/.qgis//python’, ‘C:/Users/Administrador/.qgis//python/plugins’, ‘C:/OSGeo4W/apps/qgis/./python/plugins’, ‘C:\OSGeo4W\bin\python27.zip’, ‘C:\OSGeo4W\apps\Python27\DLLs’, ‘C:\OSGeo4W\apps\Python27\lib’, ‘C:\OSGeo4W\apps\Python27\lib\plat-win’, ‘C:\OSGeo4W\apps\Python27\lib\lib-tk’, ‘C:\OSGeo4W\apps\qgis\bin’, ‘C:\OSGeo4W\apps\Python27’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\PIL’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32\lib’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\Pythonwin’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\wx-2.8-msw-unicode’, ‘C:\Users\Administrador\.qgis\python\plugins\cataloginpecreate\logic’, ‘C:\Users\Administrador\.qgis\python\plugins\cataloginpecreate\gui’, ‘C:\Users\Administrador\.qgis\python\plugins\cataloginpequicklookorder\logic’, ‘C:\Users\Administrador\.qgis\python\plugins\cataloginpequicklookorder\gui’, ‘C:\Users\Administrador\.qgis\python\plugins\openlayersov\logic’, ‘C:\Users\Administrador\.qgis\python\plugins\openlayersov\gui’, ‘/usr/share/qgis/python’, ‘C:\Users\Administrador\.qgis\python\plugins\terralegalods\logic’, ‘C:\Users\Administrador\.qgis\python\plugins\terralegalods\gui’, ‘C:\Users\Administrador\.qgis\python\plugins\terralegalodsdb\logic’, ‘C:\Users\Administrador\.qgis\python\plugins\terralegalodsdb\gui’, ‘C:\OSGeo4W\apps\qgis\python\plugins\fTools\tools’]

  • fred ribeiro

    Mesmo problema de todos com o python mas para realizar uma simples operação de união de shps., alguem sabe como resolver isso?

  • frederico

    se ta ficando doido cara venho tendo problemas com o qgis e o python desde a versao 1.5 quase voltando para o arcgis porque ja tentei de tudo para resolver estes problemas e nada

  • frederico

    Um erro ocorreu enquanto executava o seguinte código Python:

    Traceback (most recent call last):
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerManagerWindow.py”, line 113, in dbConnectInit
    self.dbConnect(selected)
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerManagerWindow.py”, line 144, in dbConnect
    self.db = postgis_utils.GeoDB(host=host, port=port, dbname=database, user=username, passwd=password)
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerpostgis_utils.py”, line 134, in __init__
    raise DbError(e)
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerpostgis_utils.py”, line 83, in __init__
    self.msg = unicode( error.args[0], ‘utf-8’)
    UnicodeDecodeError: ‘utf8’ codec can’t decode byte 0xe7 in position 17: invalid continuation byte

    Versão do Python:
    2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

    Versão do QGIS
    1.8.0-Lisboa Lisboa, f440b60

    Caminho para o Python: [‘C:/Users/i73ger/.qgis//python/plugins\sextante’, ‘C:\Users\i73ger\.qgis\python\plugins\elevation’, ‘C:/OSGeo4W/apps/qgis/./python’, ‘C:/Users/i73ger/.qgis//python’, ‘C:/Users/i73ger/.qgis//python/plugins’, ‘C:/OSGeo4W/apps/qgis/./python/plugins’, ‘C:\WINDOWS\SYSTEM32\python27.zip’, ‘C:\OSGeo4W\apps\Python27\DLLs’, ‘C:\OSGeo4W\apps\Python27\lib’, ‘C:\OSGeo4W\apps\Python27\lib\plat-win’, ‘C:\OSGeo4W\apps\Python27\lib\lib-tk’, ‘C:\OSGeo4W\apps\qgis\bin’, ‘C:\OSGeo4W\apps\Python27’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\PIL’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32\lib’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\Pythonwin’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\wx-2.8-msw-unicode’, ‘/usr/share/qgis/python’, ‘/usr/share/qgis/python’, ‘C:\OSGeo4W\apps\qgis\python\plugins\fTools\tools’]

  • frederico

    Agora nao consigo mais nem epoxtar uma camada para o postgres, terrivel

  • frederico

    Um erro ocorreu enquanto executava o seguinte código Python:

    Traceback (most recent call last):
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerDlgLoadData.py”, line 153, in onLoad
    res, err = self.load_data_win(out, args)
    File “C:/Users/i73ger/.qgis//python/pluginspostgis_managerDlgLoadData.py”, line 227, in load_data_win
    p = os.popen3(cmdline)
    UnicodeEncodeError: ‘ascii’ codec can’t encode character u’xe7′ in position 41: ordinal not in range(128)

    Versão do Python:
    2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

    Versão do QGIS
    1.8.0-Lisboa Lisboa, f440b60

    Caminho para o Python: [‘C:/Users/i73ger/.qgis//python/plugins\sextante’, ‘C:\Users\i73ger\.qgis\python\plugins\elevation’, ‘C:/OSGeo4W/apps/qgis/./python’, ‘C:/Users/i73ger/.qgis//python’, ‘C:/Users/i73ger/.qgis//python/plugins’, ‘C:/OSGeo4W/apps/qgis/./python/plugins’, ‘C:\WINDOWS\SYSTEM32\python27.zip’, ‘C:\OSGeo4W\apps\Python27\DLLs’, ‘C:\OSGeo4W\apps\Python27\lib’, ‘C:\OSGeo4W\apps\Python27\lib\plat-win’, ‘C:\OSGeo4W\apps\Python27\lib\lib-tk’, ‘C:\OSGeo4W\apps\qgis\bin’, ‘C:\OSGeo4W\apps\Python27’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\PIL’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\win32\lib’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\Pythonwin’, ‘C:\OSGeo4W\apps\Python27\lib\site-packages\wx-2.8-msw-unicode’, ‘/usr/share/qgis/python’, ‘/usr/share/qgis/python’, ‘C:\OSGeo4W\apps\qgis\python\plugins\fTools\tools’]

  • jorgepsantos2002

    Frederico, já tentou utilizar a versão Standard Alone? http://qgis.org/downloads/QGIS-OSGeo4W-1.8.0-2-Setup.exe

  • frederico

    Ola Jorge Nao funciona tb, estou com bastante dados no postgres e em bancos dedos que tinha feito em versoes anteriores mas agora nada mais funciona e simplesmente tenho de conectar com o arcgis para ler as tabelas e trab dentro deste softw como os dados exportando como shp

  • jorgepsantos2002

    Eu tenho o Quantum GIS 1.4 Instalação Offline, se servir te passo.

  • jorgepsantos2002

    Outra solução seria trabalhar com virtualização e Linux. O QGIS no Linux é outra coisa. Abraços

  • frederico

    terrivel a minha situaçao porque necessariamente uso o qgis desde quase o ato da criaçao mas infelizmente nao esperava essas mudanças tao drasticas nas ultimas versoes. o detalhe é que o erro corre tanto no win quanto linux porquie tenho uma maquina que roda as mesmas funçoes do win so que em linux

  • jorgepsantos2002

    Cara, mas está muito instável essa sua situação. Teria que olhar pontualmente esse problema com lupa, verificar caso a caso quem são os arquivos que porventura estão encrencando. E assim submeter o problema para o desenvolvedor. Há fóruns em inglês como o GIS Stack Exchange que são muito bons.

  • frederico

    Oi Jorge, ja submeti alguns dos erros a um ano na versao 1.7.4 e ainda nao tive retorno infelizmente.

  • frederico

    vc consegue imaginar que é tanto no linux como no win, pode ser a cindição dos meus dados que é sempre mt grande a quantidade de informação que gero (trabalho com modelagem espacial), mas antes nunca hvia dado problema

  • sidirley

    TBM O MEU TÁ DANDO PROBLEMA, NÃO CONSIGO BAIXAR O COMPLEMENTO DO QGIS. QUAL SERIA SOLUÇÃO OU NÃO EXISTE? ESSE PROGRAMA NÃO TÁ DANDO MUITO CERTO PARA OS SEGUIDORES. VLW!

    Impossível carregar complemento ‘points2one’ de [‘C:/PROGRA~1/Quantum GIS Wroclaw/apps/qgis/./python’, ‘C:/Users/Usuário/.qgis/python’, ‘C:/Users/Usuário/.qgis/python/plugins’, ‘C:/PROGRA~1/Quantum GIS Wroclaw/apps/qgis/./python/plugins’, ‘C:PROGRA~1Quantum GIS Wroclawbinpython27.zip’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27DLLs’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27lib’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libplat-win’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27liblib-tk’, ‘C:PROGRA~1Quantum GIS Wroclawappsqgisbin’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packages’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packagesPIL’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packageswin32’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packageswin32lib’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packagesPythonwin’, ‘C:PROGRA~1Quantum GIS WroclawappsPython27libsite-packageswx-2.8-msw-unicode’, ‘C:PROGRA~1Quantum GIS WroclawappsqgispythonpluginsfToolstools’]

  • Jorge Santos

    Oi Sidirley,

    Com todo respeito, tive que editar o seu comentário porque estava muito grande e este local já está bastante poluído.

    O seu problema é o mesmo listado pelos demais, então provavelmente o erro deve ser o mesmo. Você tem utilizado nome de usuário do Windows com acentuação.

    C:/Users/Usuário/.qgis/python
    C:/Users/Usuxc3xa1rio/.qgis/python/plugins

    Impossível do programa funcionar com um nome de usuário como este.

    Meu conselho:

    – Backup de todos os seus dados para um HD ou grave tudo em DVD;
    – Formatação do computador;
    – Instalação do Windows Seven Ultimate 32 ou 64 bits, esqueça Windows 7 Professional, Basic, Starter Edition, etc. (64 bits para equipamento moderno);
    – após a instalação, não crie nomes de usuário Windows com acentuação;
    – não utilize espaços durante a criação de um usuário Windows;
    – não utilize nome composto durante a criação de um usuário Windows.

    Sugestão de novo nome de usuário Windows: sidirley

    Se o seu equipamento é moderno (Corei3, Corei5, Corei7, +4 GB RAM), você pode experimentar a instalação do Windows virtualmente e depois instalar o Quantum GIS. Segue um exemplo para o ArcGIS:
    http://www.processamentodigital.com.br/2013/02/18/virtualizacao-de-software-e-sig-versoes-antigas-do-arcgis/

    Abraço, Jorge Santos